#pragma once
#ifndef MIXMUSIC_H_
#define MIXMUSIC_H_

#include "baseobject.h"
#include "commoninclude.h"

namespace EPOC
{
	class MixMusic : public BaseObject
	{
	public:
		MixMusic();
		virtual ~MixMusic();

		virtual void Cleanup();
		virtual bool Initialize(std::string sFilePath, Mix_Music *pSDLMixMusic);

		inline Mix_Music* GetSDLMixChunk() { return m_pSDLMixMusic;}
		inline std::string GetFilePath() { return m_sFilePath;}
			
	// protected members
	protected:
		std::string m_sFilePath;
		Mix_Music *m_pSDLMixMusic;
	
	}; // class MixMusic
}; // namespace EPOC

#endif